package org.arefgard.container.flow.service;

import java.util.List;

public class Invoke extends Sequence {
	private String method;
	
	private List<String> parameters = new java.util.ArrayList<String>();
	
	private String nextTo;
	
	public Invoke(String name, String type, String method) {
		setName(name);
		setType(type);
		setMethod(method);
	}

	public String getMethod() {
		return method;
	}

	public void setMethod(String method) {
		this.method = method;
	}
	
	public String getParameter(int i) {
		return parameters.get(i);
	}
	
	public void addParameter(String param) {
		parameters.add(param);
	}
	
	public int getParameterLength() {
		return parameters.size();
	}
	
	public String getNextTo() {
		return nextTo;
	}
	
	public void setNextTo(String navigation) {
		this.nextTo = navigation;
	}
	
}
